<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
        <link rel="stylesheet" href="css/styles.css">
        <script src="js/scripts.js" defer></script>
        <title>Validações</title>
    </head>

    <body>

        <!-- VALIDAÇÃO BOOTSTRAP -->
        <div class="container">
            <div class="row justify-content-center m-4">
                <div class="col-6">
                    <h2>Faça o login para continuar</h2>
                    <form class="row needs-validation" novalidate>
                        <div class="col-12 mb-4">
                            <label for="email" class="form-label">E-mail:</label>
                            <input type="email" class="form-control" id="email"
                            placeholder="Digite o seu e-mail" required>
                            <div class="valid-feedback">Ok</div>
                        </div>
                        <div class="col-12 mb-4">
                            <label for="password" class="form-label">Senha:</label>
                            <input type="password" class="form-control" id="password"
                            placeholder="Digite a sua senha" required>
                            <div class="valid-feedback">Ok</div>
                        </div>
                        <div class="col-12 mb-4">
                            <button class="btn btn-primary" type="submit">Entrar</button>
                        </div>
                    </form>
                </div>     
            </div>
        </div>

        <!-- VALIDAÇÃO HTML -->
        <div class="container">
            <div class="row justify-content-center m-4">
                <div class="col-6">
                    <h2>Faça o login para continuar</h2>
                    <form class="row">
                        <div class="col-12 mb-4">
                            <label for="email" class="form-label">E-mail:</label>
                            <input type="email" class="form-control" id="email"
                            placeholder="Digite o seu e-mail" required>
                        </div>
                        <div class="col-12 mb-4">
                            <label for="password" class="form-label">Senha:</label>
                            <input type="password" class="form-control" id="password"
                            placeholder="Digite a sua senha" required minlength="5">
                        </div>
                        <div class="col-12 mb-4">
                            <button class="btn btn-primary" type="submit">Entrar</button>
                        </div>
                    </form>
                </div>     
            </div>
        </div>

    </body>
</html>